#ifndef OXMYTEXTENTRY_H
#define OXMYTEXTENTRY_H

#include <xclass/OXWidgets.h>
#include <X11/keysym.h>

class OXMyTextEntry : public OXTextEntry {
public:
  OXMyTextEntry(const OXWindow *p, OTextBuffer *text) :
      OXTextEntry(p, text) {}

  int HandleKey(XKeyEvent *event);
};

#endif
